List all Tax Registrations
curl --request GET \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"object": "list",
"has_more": false,
"has_before": false,
"data": [
{
"id": "txr_1792060783u8o1132f601",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_17920607834gh0a15cc1d",
"tax_id": "eu-vat",
"number": "FR76207792870",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:43.041Z",
"updated_at": "2026-10-15T10:39:43.041Z"
},
{
"id": "txr_179206078365s2e3a9274",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_17920607834gh0a15cc1d",
"tax_id": "eu-vat",
"number": "FR76292324746",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:43.010Z",
"updated_at": "2026-10-15T10:39:43.010Z"
}
]
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Tax Registrations
List all Tax Registrations
Returns a list of TaxRegistrations you’ve previously created for an Organization. The records are returned in sorted order, with the most recent appearing first..
GET
/
organizations
/
{organization_id}
/
tax_registrations
List all Tax Registrations
curl --request GET \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"object": "list",
"has_more": false,
"has_before": false,
"data": [
{
"id": "txr_1792060783u8o1132f601",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_17920607834gh0a15cc1d",
"tax_id": "eu-vat",
"number": "FR76207792870",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:43.041Z",
"updated_at": "2026-10-15T10:39:43.041Z"
},
{
"id": "txr_179206078365s2e3a9274",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_17920607834gh0a15cc1d",
"tax_id": "eu-vat",
"number": "FR76292324746",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:43.010Z",
"updated_at": "2026-10-15T10:39:43.010Z"
}
]
}{
"message": "<string>",
"status": 123,
"type": "INVALID_REQUEST_ERROR",
"params": [
{
"field": "<string>",
"errors": [
"<string>"
]
}
]
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the organization you want to interact with
